For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Vulnerabilities

This endpoint enables retrieving all Vulnerabilities using pagination and optional filters.

get
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
repositoryNamestring · max: 256Required

The Name of the Repository.

Example: my-service
digeststring · max: 128Required

The Digest of the Artifact.

Example: sha256:12345678901234567890123456789012
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.severitystringOptional

The CVSS vulnerability severity rating

Example: high
filter.fixablebooleanOptional

Filter resources by fixable (i.e. remediation action is available)

orderBystring · enumOptional

The field to order the results by. If not provided, the results will be ordered by the default field.

Default: -scorePossible values:
Responses
200

Returned all requested Vulnerabilities successfully.

application/json
idstring · enumRequiredPossible values:
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012/vulnerabilities
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}/vulnerabilities
GET /containerregistries/registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}/vulnerabilities HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "vulnerabilities",
  "type": "collection",
  "href": "https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012/vulnerabilities",
  "items": [
    {
      "id": "CVE-2019-1234",
      "type": "vulnerability",
      "href": "https://api.ionos.com/containerregistries/vulnerabilities/CVE-2019-1234",
      "metadata": {
        "publishedAt": "2019-01-01T00:00:00+00:00",
        "updatedAt": "2019-01-01T00:00:00+00:00"
      },
      "properties": {
        "description": "A vulnerability in the web UI of Cisco IOS XE Software could allow an authenticated, remote attacker to execute commands on the underlying Linux shell of an affected device with root privileges.",
        "recommendations": "Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.",
        "dataSource": {
          "id": "osv",
          "url": "https://github.com/pypa/advisory-db"
        },
        "fixable": true,
        "affects": [
          {
            "type": "maven",
            "name": "org.apache.commons:commons-lang3",
            "version": "3.8.1"
          }
        ],
        "references": [
          "https://access.redhat.com/security/cve/CVE-2019-1234"
        ],
        "severity": "high",
        "score": 9.8
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?